/******************************************************************************
  This source file is part of the Avogadro project.
  This source code is released under the 3-Clause BSD License, (see "LICENSE").
******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadro2-libs-1.100.0-build/avogadrolibs-1.100.0/avogadro/qtplugins/dipole/dipole.h"


namespace Avogadro::QtPlugins {

class DipoleFactory : public QObject, public QtGui::ScenePluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ScenePluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ScenePluginFactory)

public:
  explicit DipoleFactory(QObject *parent_ = nullptr) : QObject(parent_) {}

  QtGui::ScenePlugin * createInstance(QObject *parent_ = nullptr)
  {
    auto *object = new Dipole(parent_);
    object->setObjectName("Dipole");
    return object;
  }

  QString identifier() const { return "Dipole"; }

  QString description() const { return "Dipole rendering scheme"; }

};

}

#include "DipolePlugin.moc"
